#if !defined(ERROR_H)
#define ERROR_H

#include "defs.h"
#include <stdio.h>

#if defined(__GNUC__)

#define error_print(level, format, ...) { \
        char string[2048]; \
        sprintf(string, format, ##__VA_ARGS__); \
        error_message(level, __FILE__, __LINE__, string); \
    }

#else

/*
 * Error printing system works only on GNU C compiler
 */
static void error_print(int level, ...)
{
}

#endif

void error_set_level(int);
void error_message(int, const char *, int, const char *);

#endif
